# $Revision: 1.12 $, $Date: 2010/08/22 08:51:28 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Services_Facebook
Summary:	%{_pearname} - PHP interface to Facebook's API
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do API Facebook
Name:		php-pear-%{_pearname}
Version:	0.2.14
Release:	2
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fb7b77b23e74bde284d287548f40cb51
URL:		http://pear.php.net/package/Services_Facebook/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0
Requires:	php-pear-Validate >= 0.0.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for accessing Facebook's web services API at
<http://api.facebook.com>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Interfejs dostępowy do usług Facebook <http://api.facebook.com/>.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Services_Facebook/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/Facebook
%{php_pear_dir}/Services/Facebook.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Services_Facebook

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Facebook.spec,v $
Revision 1.12  2010/08/22 08:51:28  glen
- ensure rpmbuild macros present

Revision 1.11  2010/08/21 19:08:26  glen
- updated deps with pearize.sh
- release 2

Revision 1.10  2010/08/19 14:11:14  glen
- up to 0.2.14

Revision 1.9  2009/02/07 14:49:10  adamg
- updated to 0.2.4

Revision 1.8  2009/02/01 18:03:07  adamg
- updated to 0.2.3

Revision 1.7  2009/01/23 18:14:00  adamg
- updated to 0.2.1

Revision 1.6  2008/12/27 00:32:45  adamg
- updated to 0.1.8

Revision 1.5  2008/09/15 13:43:39  adamg
- updated to 0.1.5

Revision 1.4  2008/09/07 14:20:13  adamg
- updated to 0.1.4

Revision 1.3  2008/07/28 09:44:10  adamg
- updated to 0.1.2

Revision 1.2  2008/06/26 16:54:15  adamg
- updaed to 0.1.1

Revision 1.1  2008-05-18 15:24:56  adamg
- new

